コンテンツへスキップ

Wan 2.5 Text to Image

統合

モデルID wan-25-preview/text-to-image
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/wan-25-preview/text-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: $0.05 50 APIクレジット このページで実行

APIキーを取得

中国語と英語のプロンプトに対応し、1回で最大4枚を生成するWan 2.5テキストから画像生成

Doitongで作成

DoitongコミュニティがWan 2.5で作成した公開作品です。ワンクリックでプロンプトを再利用できます。

公開作品:2件
Create a realistic cinematic UGC-style commercial video, exactly 30 seconds long. The entire scen... 動画

Create a realistic cinematic UGC-style commercial video, exactly 30 seconds long. The entire scene takes place inside a modern passenger airplane during a daytime flight. Natural smartphone-like cinematography, realistic airplane cabin, authentic passengers, natural lighting, realistic skin...

Реалистичная бытовая сцена в советской одесской квартире зимним вечером. Женщина находится на кух... 動画

Реалистичная бытовая сцена в советской одесской квартире зимним вечером. Женщина находится на кухне, мужчина — в комнате и прихожей. Атмосфера обычной советской семьи перед приходом гостей. Голоса: все персонажи говорят по-русски с естественным, выразительным одесским говором. Характерная...

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須

画像生成の指示。中国語または英語で、2000文字以内。

image_size デフォルト square

生成画像のサイズ。総ピクセル数は768×768~1440×1440、アスペクト比は1:4~4:1の範囲です。サイズを直接指定するか、'square'や'landscape_16_9'などの名前付きプリセットを選択します。

num_images デフォルト 1

画像の生成枚数。1~4。

詳細設定 negative_prompt · seed · enable_prompt_expansion · enable_safety_checker

不要な内容を指定するネガティブプロンプト。500文字以内。

生成を再現可能にするシード。None に設定するとシードをランダムに選択します。

POST /run/wan-25-preview/text-to-image?wait=20 見積もり → $0.05
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/wan-25-preview/text-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Wan 2.5 Text to Imageについて

中国語または英語の最大2000文字のテキスト`prompt`から画像を生成します。`num_images`は1-4、`image_size`はプリセットまたは明示的な寸法を受け付け、総ピクセル数は768x768-1440x1440です。LLMでプロンプトを書き換えるプロンプト拡張はデフォルトで有効です。`negative_prompt`と`seed`も使用できます。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
prompt必須
型string
画像生成の指示。中国語または英語で、2000文字以内。
negative_prompt任意
型string | null
不要な内容を指定するネガティブプロンプト。500文字以内。
num_images任意 num_outputs
型integer
デフォルト1
1 – 4
画像の生成枚数。1~4。
image_size任意
型object
デフォルトsquare
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
生成画像のサイズ。総ピクセル数は768×768~1440×1440、アスペクト比は1:4~4:1の範囲です。サイズを直接指定するか、'square'や'landscape_16_9'などの名前付きプリセットを選択します。
enable_prompt_expansion任意
型boolean
デフォルトtrue
LLMによるプロンプト書き換え。短いプロンプトでより良い結果を得る代わりに、処理時間が長くなります。
seed任意
型integer | null
生成を再現可能にするシード。None に設定するとシードをランダムに選択します。
enable_safety_checker任意
型boolean
デフォルトtrue
安全性チェックの切り替え。オフにするにはアカウント認証が必要です。認証がない場合、設定に関係なくすべてのリクエストがチェックされます。trueでチェッカーを有効にします。
必須 正式名称(こちらも使用可能)

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "wan-25-preview/text-to-image",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 50,
    "usd": "0.05",
    "charged": 50,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "seeds": [
      42
    ],
    "actual_prompt": "A lone samurai standing on the edge of a cliff at twilight, overlooking a vast valley shrouded in mist. The sky burns with deep orange and purple hues from the setting sun, casting long, dramatic shadows. The samurai’s silhouette glows against the horizon, with their sword reflecting a glint of fading light. The overall style is hyper-realistic, cinematic, and moody, with dramatic contrast and atmospheric depth."
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
images
array of object {url, content_type, file_name, file_size, width, height}モデルが生成した画像。
seeds
array of integer各画像の生成に使用するシード値。
actual_prompt
string | null書き換えが有効な場合に実際に使用されるプロンプト。

その他のモデル: テキストから画像

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/wan-25-preview/text-to-image.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt